> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/fix-issue.md).

# fixIssue

Details about a fix available for an issue, including status and metadata.

### Examples

```graphql
type FixIssue {
  fixType: String
  fixTitle: String
  fixDescription: String
  isFixApplied: Boolean
  fixAppliedBy: String
  sourceControlType: String
  fixDate: Date
}
```

### Fields

| Field                      | Description                                         | Supported fields |
| -------------------------- | --------------------------------------------------- | ---------------- |
| fixType `String`           | Type of fix available for the issue                 |                  |
| fixTitle `String`          | Title of the fix, shown in the user interface       |                  |
| fixDescription `String`    | Description of the fix, shown in the user interface |                  |
| isFixApplied `Boolean`     | Indicates whether the fix has been applied          |                  |
| fixAppliedBy `String`      | User or system who applied the fix                  |                  |
| sourceControlType `String` | Source control type used for the fix                |                  |
| fixDate `Date`             | Date when the fix was applied                       |                  |

### References

#### Fields with this object:

* [{} Issue.fixIssue](/api-documentation/api-reference/api--issue/types/objects/issue.md)
* [{} Issue.autoFix](/api-documentation/api-reference/api--issue/types/objects/issue.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/fix-issue.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
